# EdFi.OdsApi.Sdk.Models.All.EdFiChartOfAccount

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**AccountIdentifier** | **string** | SEA populated code value for the valid combination of account dimensions under which financials are reported. | 
**FiscalYear** | **int** | The fiscal year for the account | 
**BalanceSheetDimensionReference** | [**EdFiBalanceSheetDimensionReference**](EdFiBalanceSheetDimensionReference.md) |  | [optional] 
**EducationOrganizationReference** | [**EdFiEducationOrganizationReference**](EdFiEducationOrganizationReference.md) |  | 
**FunctionDimensionReference** | [**EdFiFunctionDimensionReference**](EdFiFunctionDimensionReference.md) |  | [optional] 
**FundDimensionReference** | [**EdFiFundDimensionReference**](EdFiFundDimensionReference.md) |  | [optional] 
**ObjectDimensionReference** | [**EdFiObjectDimensionReference**](EdFiObjectDimensionReference.md) |  | [optional] 
**OperationalUnitDimensionReference** | [**EdFiOperationalUnitDimensionReference**](EdFiOperationalUnitDimensionReference.md) |  | [optional] 
**ProgramDimensionReference** | [**EdFiProgramDimensionReference**](EdFiProgramDimensionReference.md) |  | [optional] 
**ProjectDimensionReference** | [**EdFiProjectDimensionReference**](EdFiProjectDimensionReference.md) |  | [optional] 
**SourceDimensionReference** | [**EdFiSourceDimensionReference**](EdFiSourceDimensionReference.md) |  | [optional] 
**AccountName** | **string** | A descriptive name for the account. | [optional] 
**AccountTypeDescriptor** | **string** | The type of account used in accounting such as revenue, expenditure, or balance sheet. | 
**ReportingTags** | [**List&lt;EdFiChartOfAccountReportingTag&gt;**](EdFiChartOfAccountReportingTag.md) | An unordered collection of chartOfAccountReportingTags. Optional tag for accountability reporting. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

