# EdFi.OdsApi.Sdk.Models.All.EdFiEducationOrganizationIndicator

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**IndicatorDescriptor** | **string** | The name or code for the indicator or metric. | 
**IndicatorGroupDescriptor** | **string** | The name for a group of indicators. | [optional] 
**IndicatorLevelDescriptor** | **string** | The value of the indicator or metric, as a value from a controlled vocabulary. The semantics of an empty value is \&quot;not submitted.\&quot; | [optional] 
**DesignatedBy** | **string** | The person, organization, or department that defined the metric. | [optional] 
**IndicatorValue** | **string** | The value of the indicator or metric. The semantics of an empty value is \&quot;not submitted.\&quot; | [optional] 
**Periods** | [**List&lt;EdFiEducationOrganizationIndicatorPeriod&gt;**](EdFiEducationOrganizationIndicatorPeriod.md) | An unordered collection of educationOrganizationIndicatorPeriods. The time period or as-of date for the indicator. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

