# EdFi.OdsApi.Sdk.Models.All.EdFiGeneralStudentProgramAssociationReference

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**BeginDate** | **DateTime** | The earliest date the student is involved with the program. Typically, this is the date the student becomes eligible for the program. | 
**EducationOrganizationId** | **int** | The identifier assigned to an education organization. | 
**ProgramEducationOrganizationId** | **int** | The identifier assigned to an education organization. | 
**ProgramName** | **string** | The formal name of the program of instruction, training, services, or benefits available through federal, state, or local agencies. | 
**ProgramTypeDescriptor** | **string** | The type of program. | 
**StudentUniqueId** | **string** | A unique alphanumeric code assigned to a student. | 
**Link** | [**Link**](Link.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

