# EdFi.OdsApi.Sdk.Models.All.EdFiStaffProgramAssociation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**BeginDate** | **DateTime** | Start date for the association of staff to this program. | 
**ProgramReference** | [**EdFiProgramReference**](EdFiProgramReference.md) |  | 
**StaffReference** | [**EdFiStaffReference**](EdFiStaffReference.md) |  | 
**EndDate** | **DateTime?** | End date for the association of staff to this program. | [optional] 
**StudentRecordAccess** | **bool?** | Indicator of whether the staff has access to the student records of the program per district interpretation of FERPA and other privacy laws, regulations, and policies. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

