# EdFi.OdsApi.Sdk.Models.All.EdFiStudentAssessmentItem

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**AssessmentItemResultDescriptor** | **string** | The analyzed result of a student&#39;s response to an assessment item. | 
**ResponseIndicatorDescriptor** | **string** | Indicator of the response. | [optional] 
**AssessmentResponse** | **string** | A student&#39;s response to a stimulus on a test. | [optional] 
**DescriptiveFeedback** | **string** | The formative descriptive feedback that was given to a student in response to the results from a scored/evaluated assessment item. | [optional] 
**ItemNumber** | **int?** | The test question number for this student&#39;s test item. | [optional] 
**RawScoreResult** | **double?** | A meaningful raw score of the performance of a student on an assessment item. | [optional] 
**TimeAssessed** | **string** | The overall time a student actually spent during the assessment item. | [optional] 
**AssessmentItemReference** | [**EdFiAssessmentItemReference**](EdFiAssessmentItemReference.md) |  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

