# EdFi.OdsApi.Sdk.Models.All.EdFiStudentCompetencyObjective

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**GradingPeriodReference** | [**EdFiGradingPeriodReference**](EdFiGradingPeriodReference.md) |  | 
**ObjectiveCompetencyObjectiveReference** | [**EdFiCompetencyObjectiveReference**](EdFiCompetencyObjectiveReference.md) |  | 
**StudentReference** | [**EdFiStudentReference**](EdFiStudentReference.md) |  | 
**CompetencyLevelDescriptor** | **string** | The competency level assessed for the student for the referenced competency objective. | 
**DiagnosticStatement** | **string** | A statement provided by the teacher that provides information in addition to the grade or assessment score. | [optional] 
**GeneralStudentProgramAssociations** | [**List&lt;EdFiStudentCompetencyObjectiveGeneralStudentProgramAssociation&gt;**](EdFiStudentCompetencyObjectiveGeneralStudentProgramAssociation.md) | An unordered collection of studentCompetencyObjectiveGeneralStudentProgramAssociations. Relates the student and program associated with the competency objective. | [optional] 
**StudentSectionAssociations** | [**List&lt;EdFiStudentCompetencyObjectiveStudentSectionAssociation&gt;**](EdFiStudentCompetencyObjectiveStudentSectionAssociation.md) | An unordered collection of studentCompetencyObjectiveStudentSectionAssociations. Relates the student and section associated with the competency objective. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

