# EdFi.OdsApi.Sdk.Models.All.EdFiStudentDisciplineIncidentBehaviorAssociation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**BehaviorDescriptor** | **string** | Describes behavior by category. | 
**DisciplineIncidentReference** | [**EdFiDisciplineIncidentReference**](EdFiDisciplineIncidentReference.md) |  | 
**StudentReference** | [**EdFiStudentReference**](EdFiStudentReference.md) |  | 
**BehaviorDetailedDescription** | **string** | Specifies a more granular level of detail of a behavior involved in the incident. | [optional] 
**DisciplineIncidentParticipationCodes** | [**List&lt;EdFiStudentDisciplineIncidentBehaviorAssociationDisciplineIncidentParticipationCode&gt;**](EdFiStudentDisciplineIncidentBehaviorAssociationDisciplineIncidentParticipationCode.md) | An unordered collection of studentDisciplineIncidentBehaviorAssociationDisciplineIncidentParticipationCodes. The role or type of participation of a student in a discipline incident. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 
**Ext** | [**StudentDisciplineIncidentBehaviorAssociationExtensions**](StudentDisciplineIncidentBehaviorAssociationExtensions.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

