# EdFi.OdsApi.Sdk.Models.All.EdFiStudentEducationOrganizationAssociationProgramParticipation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ProgramTypeDescriptor** | **string** | The type of program. | 
**BeginDate** | **DateTime?** | The date the student was associated with the program or service. | [optional] 
**DesignatedBy** | **string** | The person, organization, or department that designated the program association. | [optional] 
**EndDate** | **DateTime?** | The date the program participation ended. | [optional] 
**ProgramCharacteristics** | [**List&lt;EdFiStudentEducationOrganizationAssociationProgramParticipationProgramCharacteristic&gt;**](EdFiStudentEducationOrganizationAssociationProgramParticipationProgramCharacteristic.md) | An unordered collection of studentEducationOrganizationAssociationProgramParticipationProgramCharacteristics. Reflects important characteristics of the program, such as categories or particular indications. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

