# EdFi.OdsApi.Sdk.Models.All.MiRevenue

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**FiscalYear** | **int** | Denotes the fiscal year for which the revenue is submitted. | 
**RevenueMajorClassDescriptor** | **string** | The basic account identifier for recording transactions. | 
**EducationOrganizationReference** | [**EdFiEducationOrganizationReference**](EdFiEducationOrganizationReference.md) |  | 
**Amount** | **double** | Amount for the fund code / major class code submitted. | 
**FundCodes** | [**List&lt;MiRevenueFundCode&gt;**](MiRevenueFundCode.md) | An unordered collection of revenueFundCodes. The independent fisal and accounting entity for revenue transaction. | [optional] 
**RevenueOptional** | **string** | An optional field. Is included in the Michigan School Accounting Manual Chart of Accounts but is not required for the FID collection. | 
**RevenueSuffixDescriptor** | **string** | The code used to further define/distinguish between revenue sources. | 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

