# EdFi.OdsApi.Sdk.Models.All.MiStudentDropoutRecoveryProgramAssociation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**BeginDate** | **DateTime** | The earliest date the student is involved with the program. Typically, this is the date the student becomes eligible for the program. | 
**EducationOrganizationReference** | [**EdFiEducationOrganizationReference**](EdFiEducationOrganizationReference.md) |  | 
**ProgramReference** | [**EdFiProgramReference**](EdFiProgramReference.md) |  | 
**StudentReference** | [**EdFiStudentReference**](EdFiStudentReference.md) |  | 
**EndDate** | **DateTime?** | The month, day, and year on which the student exited the program or stopped receiving services. | [optional] 
**MonthClaimeds** | [**List&lt;MiStudentDropoutRecoveryProgramAssociationMonthClaimed&gt;**](MiStudentDropoutRecoveryProgramAssociationMonthClaimed.md) | An unordered collection of studentDropoutRecoveryProgramAssociationMonthClaimeds. The student must have been enrolled and participating for a full calendar month to be eiligible for Section 23a funding. Report the calendar year and month being claimed.(YYYYMM). | [optional] 
**ParticipationStatus** | [**EdFiGeneralStudentProgramAssociationParticipationStatus**](EdFiGeneralStudentProgramAssociationParticipationStatus.md) |  | [optional] 
**ProgramParticipationStatuses** | [**List&lt;EdFiGeneralStudentProgramAssociationProgramParticipationStatus&gt;**](EdFiGeneralStudentProgramAssociationProgramParticipationStatus.md) | An unordered collection of generalStudentProgramAssociationProgramParticipationStatuses. The status of the student&#39;s program participation. | [optional] 
**ReasonExitedDescriptor** | **string** | The reason the student left the program within a school or district. | [optional] 
**ServedOutsideOfRegularSession** | **bool?** | Indicates whether the student received services during the summer session or between sessions. | [optional] 
**Services** | [**List&lt;MiStudentDropoutRecoveryProgramAssociationService&gt;**](MiStudentDropoutRecoveryProgramAssociationService.md) | An unordered collection of studentDropoutRecoveryProgramAssociationServices. Indicates the Service(s) being provided to the Student by the Program. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

