# EdFi.OdsApi.Sdk.Models.All.MiStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**IfspTimelinessDescriptor** | **string** | Indicate if the intial IFSP was completed within the required timeframe under Part C regulations. | [optional] 
**ReferralAgencyDescriptor** | **string** | The type of agency that notified the responsible agency the student maybe eligible for services. | [optional] 
**ResultOfInitialIFSPDescriptor** | **string** | Indicate the results of the student&#39;s eligibility determination. | [optional] 
**TransitionConferenceDescriptor** | **string** | Part C Indicator 8 C to indicate if the transition IFSP conference was held within the required timeframe. | [optional] 
**TransitionIFSPDescriptor** | **string** | Part C Indicator 8 A to indicate if the IFSP was completed within the required timeline. | [optional] 
**CurrentIFSPDate** | **DateTime** | The date of the students&#39;s most recent individualized family service plan (IFSP). | 
**InitialIEPCompletionDate** | **DateTime?** | The completion of an initial individualized education program (IEP) is the date on the notice of the offer of a free appropriate public education (FAPE). | [optional] 
**InitialIFSPDate** | **DateTime** | The date of the students&#39;s first individualized family service plan (IFSP). | 
**ReferralDate** | **DateTime?** | The date the student was referred by the referral agency. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

