# EdFi.OdsApi.Sdk.Models.All.MiStudentInterventionAssociationExtension

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**CreationDate** | **DateTime?** | (MI EXT) The date when the StudentInterventionAssociation was created. | [optional] 
**Deleted** | **bool?** | (MI EXT) Indicates this StudentInterventionAssociation has been deleted.0&#x3D;No1&#x3D;YesNULL&#x3D;Unknown | [optional] 
**ExpirationEmailSent** | **bool?** | (MI EXT )0&#x3D;No1&#x3D;YesNULL&#x3D;Unknown | [optional] 
**Goal** | **string** | (MI EXT) The goal of this intervention. | [optional] 
**ProspectiveEndDate** | **DateTime?** | (MI EXT) Prospective end date of this intervention. | [optional] 
**RestrictedSecurity** | **bool?** | (MI EXT) Used to limit the users that will be able to see the intervention.0&#x3D;No1&#x3D;YesNULL&#x3D;Unknown | [optional] 
**StarRating** | **int?** | (MI EXT) A star rating review of the Intervention. | [optional] 
**TextReview** | **string** | (MI EXT) A text review of the Intervention. | [optional] 
**TwoWeekEmailSent** | **bool?** | (MI EXT) 0&#x3D;No1&#x3D;YesNULL&#x3D;Unknown | [optional] 
**StaffReference** | [**EdFiStaffReference**](EdFiStaffReference.md) |  | [optional] 
**StudentInterventionNotes** | [**List&lt;MiStudentInterventionAssociationStudentInterventionNote&gt;**](MiStudentInterventionAssociationStudentInterventionNote.md) | An unordered collection of studentInterventionAssociationStudentInterventionNotes. (MI EXT) Note to provide additional information regarding the student intervention. | [optional] 
**StudentInterventionSecurities** | [**List&lt;MiStudentInterventionAssociationStudentInterventionSecurity&gt;**](MiStudentInterventionAssociationStudentInterventionSecurity.md) | An unordered collection of studentInterventionAssociationStudentInterventionSecurities. (MI EXT) Select staff who have access to this StudentInterventionAssociation. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

