# EdFi.OdsApi.Sdk.Models.Composites.TestComposite.SectionEnrollment

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**SectionIdentifier** | **string** | The local identifier assigned to a section. | 
**AcademicSubjectDescriptor** | **string** | The intended major subject area of the course. | [optional] 
**AvailableCredits** | **double?** | The value of credits or units of value awarded for the completion of a course. | [optional] 
**ClassPeriods** | [**List&lt;SectionEnrollmentSectionClassPeriod&gt;**](SectionEnrollmentSectionClassPeriod.md) | An unordered collection of sectionClassPeriods.  | [optional] 
**CourseOfferingReference** | [**SectionEnrollmentCourseOffering**](SectionEnrollmentCourseOffering.md) |  | [optional] 
**EducationalEnvironmentDescriptor** | **string** | The setting in which a student receives education and related services. | [optional] 
**LocationReference** | [**SectionEnrollmentLocation**](SectionEnrollmentLocation.md) |  | [optional] 
**LocationSchoolReference** | [**SectionEnrollmentSchool**](SectionEnrollmentSchool.md) |  | [optional] 
**SequenceOfCourse** | **int?** | When a section is part of a sequence of parts for a course, the number of the sequence. If the course has only one part, the value of this section attribute should be 1. | [optional] 
**SessionReference** | [**SectionEnrollmentSession**](SectionEnrollmentSession.md) |  | [optional] 
**Staff** | [**List&lt;SectionEnrollmentStaffSectionAssociation&gt;**](SectionEnrollmentStaffSectionAssociation.md) | An unordered collection of staffSectionAssociations.  | [optional] 
**Students** | [**List&lt;SectionEnrollmentStudentSectionAssociation&gt;**](SectionEnrollmentStudentSectionAssociation.md) | An unordered collection of studentSectionAssociations.  | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

