# EdFi.OdsApi.Sdk.Models.Composites.TestComposite.SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**EducationOrganizationId** | **int** | The identifier assigned to an education organization. | 
**LoginId** | **string** | The login ID for the user; used for security access control interface. | [optional] 
**SexDescriptor** | **string** | The student&#39;s gender as last reported to the education organization. | 
**HispanicLatinoEthnicity** | **bool?** | An indication that the individual traces his or her origin or descent to Mexico, Puerto Rico, Cuba, Central, and South America, and other Spanish cultures, regardless of race, as last reported to the education organization. The term, \&quot;Spanish origin,\&quot; can be used in addition to \&quot;Hispanic or Latino.\&quot; | [optional] 
**Addresses** | [**List&lt;SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationAddress&gt;**](SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationAddress.md) | An unordered collection of studentEducationOrganizationAssociationAddresses.  | [optional] 
**ElectronicMails** | [**List&lt;SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationElectronicMail&gt;**](SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationElectronicMail.md) | An unordered collection of studentEducationOrganizationAssociationElectronicMails.  | [optional] 
**IdentificationCodes** | [**List&lt;SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationStudentIdentificationCode&gt;**](SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationStudentIdentificationCode.md) | An unordered collection of studentEducationOrganizationAssociationStudentIdentificationCodes.  | [optional] 
**Languages** | [**List&lt;SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationLanguage&gt;**](SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationLanguage.md) | An unordered collection of studentEducationOrganizationAssociationLanguages.  | [optional] 
**Races** | [**List&lt;SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationRace&gt;**](SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationRace.md) | An unordered collection of studentEducationOrganizationAssociationRaces.  | [optional] 
**Telephones** | [**List&lt;SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationTelephone&gt;**](SectionEnrollmentStudentSectionAssociationStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationTelephone.md) | An unordered collection of studentEducationOrganizationAssociationTelephones.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

