# EdFi.OdsApi.Sdk.Models.Composites.TestComposite.Staff

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**Addresses** | [**List&lt;StaffStaffAddress&gt;**](StaffStaffAddress.md) | An unordered collection of staffAddresses.  | [optional] 
**BirthDate** | **DateTime?** | The month, day, and year on which an individual was born. | [optional] 
**Classifications** | [**List&lt;StaffStaffEducationOrganizationAssignmentAssociation&gt;**](StaffStaffEducationOrganizationAssignmentAssociation.md) | An unordered collection of staffEducationOrganizationAssignmentAssociations.  | [optional] 
**ElectronicMails** | [**List&lt;StaffStaffElectronicMail&gt;**](StaffStaffElectronicMail.md) | An unordered collection of staffElectronicMails.  | [optional] 
**FirstName** | **string** | A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change. | 
**HispanicLatinoEthnicity** | **bool?** | An indication that the individual traces his or her origin or descent to Mexico, Puerto Rico, Cuba, Central, and South America, and other Spanish cultures, regardless of race. The term, \&quot;Spanish origin,\&quot; can be used in addition to \&quot;Hispanic or Latino.\&quot; | [optional] 
**IdentificationCodes** | [**List&lt;StaffStaffIdentificationCode&gt;**](StaffStaffIdentificationCode.md) | An unordered collection of staffIdentificationCodes.  | [optional] 
**Languages** | [**List&lt;StaffStaffLanguage&gt;**](StaffStaffLanguage.md) | An unordered collection of staffLanguages.  | [optional] 
**LastSurname** | **string** | The name borne in common by members of a family. | 
**LoginId** | **string** | The login ID for the user; used for security access control interface. | [optional] 
**PersonalTitlePrefix** | **string** | A prefix used to denote the title, degree, position, or seniority of the individual. | [optional] 
**Races** | [**List&lt;StaffStaffRace&gt;**](StaffStaffRace.md) | An unordered collection of staffRaces.  | [optional] 
**SexDescriptor** | **string** | A person&#39;s gender. | [optional] 
**StaffUniqueId** | **string** | A unique alphanumeric code assigned to a staff. | 
**Telephones** | [**List&lt;StaffStaffTelephone&gt;**](StaffStaffTelephone.md) | An unordered collection of staffTelephones.  | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

