# EdFi.OdsApi.Sdk.Models.Composites.TestComposite.StaffWithReferencedDescriptor

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**PersonId** | **string** | A unique alphanumeric code assigned to a person. | 
**ElectronicMails** | [**List&lt;StaffWithReferencedDescriptorStaffElectronicMail&gt;**](StaffWithReferencedDescriptorStaffElectronicMail.md) | An unordered collection of staffElectronicMails.  | [optional] 
**ElectronicMailsWithFlattenedDescriptors** | [**List&lt;StaffWithReferencedDescriptorStaffElectronicMail&gt;**](StaffWithReferencedDescriptorStaffElectronicMail.md) | An unordered collection of staffElectronicMails.  | [optional] 
**PersonReference** | [**StaffWithReferencedDescriptorPerson**](StaffWithReferencedDescriptorPerson.md) |  | [optional] 
**SexDescriptor** | [**StaffWithReferencedDescriptorSexDescriptor**](StaffWithReferencedDescriptorSexDescriptor.md) |  | [optional] 
**SexDescriptorCodeValue** | **string** | A code or abbreviation that is used to refer to the descriptor. | 
**SexDescriptorNamespace** | **string** | A globally unique namespace that identifies this descriptor set. Author is strongly encouraged to use the Universal Resource Identifier (http, ftp, file, etc.) for the source of the descriptor definition. Best practice is for this source to be the descriptor file itself, so that it can be machine-readable and be fetched in real-time, if necessary. | 
**SexDescriptorShortDescription** | **string** | A code or abbreviation that is used to refer to the descriptor. | 
**SexDescriptorUri** | **string** | A person&#39;s gender. | [optional] 
**SourceSystemDescriptorCodeValue** | **string** | A code or abbreviation that is used to refer to the descriptor. | 
**SourceSystemDescriptorNamespace** | **string** | A globally unique namespace that identifies this descriptor set. Author is strongly encouraged to use the Universal Resource Identifier (http, ftp, file, etc.) for the source of the descriptor definition. Best practice is for this source to be the descriptor file itself, so that it can be machine-readable and be fetched in real-time, if necessary. | 
**SourceSystemDescriptorShortDescription** | **string** | A shortened description for the descriptor. | 
**StaffUniqueId** | **string** | A unique alphanumeric code assigned to a staff. | 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

