# EdFi.OdsApi.Sdk.Models.Composites.EnrollmentComposite.Student

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**BirthDate** | **DateTime** | The month, day, and year on which an individual was born. | 
**FirstName** | **string** | A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change. | 
**LastSurname** | **string** | The name borne in common by members of a family. | 
**MiddleName** | **string** | A secondary name given to an individual at birth, baptism, or during another naming ceremony. | [optional] 
**PersonalTitlePrefix** | **string** | A prefix used to denote the title, degree, position, or seniority of the individual. | [optional] 
**StudentDemographics** | [**List&lt;StudentStudentEducationOrganizationAssociation&gt;**](StudentStudentEducationOrganizationAssociation.md) | An unordered collection of studentEducationOrganizationAssociations.  | [optional] 
**StudentSchoolEnrollments** | [**List&lt;StudentStudentSchoolAssociation&gt;**](StudentStudentSchoolAssociation.md) | An unordered collection of studentSchoolAssociations.  | [optional] 
**StudentUniqueId** | **string** | A unique alphanumeric code assigned to a student. | 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

