# EdFi.OdsApi.Sdk.Models.Composites.TestComposite.StudentLinkedCollectionWithLinkedCollectionStudentAcademicRecordCourseTranscript

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**CourseTitle** | **string** | The descriptive name given to a course of study offered in a school or other institution or organization. In departmentalized classes at the elementary, secondary, and postsecondary levels (and for staff development activities), this refers to the name by which a course is identified (e.g., American History, English III). For elementary and other non-departmentalized classes, it refers to any portion of the instruction for which a grade or report is assigned (e.g., reading, composition, spelling, language arts). | [optional] 
**FinalLetterGradeEarned** | **string** | The final indicator of student performance in a class as submitted by the instructor. | [optional] 
**FinalNumericGradeEarned** | **double?** | The final indicator of student performance in a class as submitted by the instructor. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

