# EdFi.OdsApi.Sdk.Models.Composites.EnrollmentComposite.StudentStudentSchoolAssociation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**EntryGradeLevelDescriptor** | **string** | The grade level or primary instructional level at which a student enters and receives services in a school or an educational institution during a given academic session. | 
**EnrollmentBeginDate** | **DateTime** | The month, day, and year on which an individual enters and begins to receive instructional services in a school. | 
**EnrollmentEndDate** | **DateTime?** | The recorded exit or withdraw date for the student. | [optional] 
**Id** | **string** |  | 
**SchoolId** | **int** | The identifier assigned to a school. | 
**NameOfInstitution** | **string** | The full, legally accepted name of the institution. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

