# EdFi.OdsApi.Sdk.Models.All.TpdmCandidateEducatorPreparationProgramAssociation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**BeginDate** | **DateTime** | The begin date for the association. | 
**CandidateReference** | [**TpdmCandidateReference**](TpdmCandidateReference.md) |  | 
**EducatorPreparationProgramReference** | [**TpdmEducatorPreparationProgramReference**](TpdmEducatorPreparationProgramReference.md) |  | 
**CohortYears** | [**List&lt;TpdmCandidateEducatorPreparationProgramAssociationCohortYear&gt;**](TpdmCandidateEducatorPreparationProgramAssociationCohortYear.md) | An unordered collection of candidateEducatorPreparationProgramAssociationCohortYears. The type and year of a cohort the student belongs to as determined by the year that student entered a specific grade. | [optional] 
**DegreeSpecializations** | [**List&lt;TpdmCandidateEducatorPreparationProgramAssociationDegreeSpecialization&gt;**](TpdmCandidateEducatorPreparationProgramAssociationDegreeSpecialization.md) | An unordered collection of candidateEducatorPreparationProgramAssociationDegreeSpecializations. Information around the area(s) of specialization for an individual. | [optional] 
**EndDate** | **DateTime?** | The end date for the association. | [optional] 
**EppProgramPathwayDescriptor** | **string** | The program pathway the candidate is following; for example: Residency, Internship, Traditional | [optional] 
**ReasonExitedDescriptor** | **string** | Reason exited for the association. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

