# EdFi.OdsApi.Sdk.Models.All.TpdmCredentialExtension

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**CertificationRouteDescriptor** | **string** | The process, program, or pathway used to obtain certification. | [optional] 
**CredentialStatusDescriptor** | **string** | The current status of the credential (e.g., active, suspended, etc.). | [optional] 
**EducatorRoleDescriptor** | **string** | The specific roles or positions within an organization that the credential is intended to authorize (e.g., Principal, Reading Specialist), typically associated with service and administrative certifications. | [optional] 
**BoardCertificationIndicator** | **bool?** | Indicator that the credential was granted under the authority of a national Board Certification. | [optional] 
**CertificationTitle** | **string** | The title of the certification obtained by the educator. | [optional] 
**CredentialStatusDate** | **DateTime?** | The month, day, and year on which the credential status was effective. | [optional] 
**PersonReference** | [**EdFiPersonReference**](EdFiPersonReference.md) |  | [optional] 
**StudentAcademicRecords** | [**List&lt;TpdmCredentialStudentAcademicRecord&gt;**](TpdmCredentialStudentAcademicRecord.md) | An unordered collection of credentialStudentAcademicRecords. Reference to the person&#39;s Student Academic Records for the school(s) with which the Credential is associated. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

