# EdFi.OdsApi.Sdk.Models.All.TpdmEducatorPreparationProgram

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**ProgramName** | **string** | The name of the Educator Preparation Program. | 
**ProgramTypeDescriptor** | **string** | The type of program. | 
**EducationOrganizationReference** | [**EdFiEducationOrganizationReference**](EdFiEducationOrganizationReference.md) |  | 
**AccreditationStatusDescriptor** | **string** | The current accreditation status of the Educator Preparation Program. | [optional] 
**GradeLevels** | [**List&lt;TpdmEducatorPreparationProgramGradeLevel&gt;**](TpdmEducatorPreparationProgramGradeLevel.md) | An unordered collection of educatorPreparationProgramGradeLevels. The grade levels served at the EPP Program. | [optional] 
**ProgramId** | **string** | A unique number or alphanumeric code assigned to a program by a school, school system, a state, or other agency or entity. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

