# EdFi.OdsApi.Sdk.Models.All.TpdmEvaluationElement

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**EvaluationElementTitle** | **string** | The name or title of the evaluation element. | 
**EvaluationObjectiveReference** | [**TpdmEvaluationObjectiveReference**](TpdmEvaluationObjectiveReference.md) |  | 
**EvaluationTypeDescriptor** | **string** | The type of the evaluation (e.g., observation, principal, peer, student survey, student growth). | [optional] 
**MaxRating** | **double?** | The maximum summary numerical rating or score for the evaluation element. | [optional] 
**MinRating** | **double?** | The minimum summary numerical rating or score for the evaluation element. If omitted, assumed to be 0.0. | [optional] 
**RatingLevels** | [**List&lt;TpdmEvaluationElementRatingLevel&gt;**](TpdmEvaluationElementRatingLevel.md) | An unordered collection of evaluationElementRatingLevels. The descriptive level(s) of ratings (cut scores) for evaluation element. | [optional] 
**SortOrder** | **int?** | The sort order of this Evaluation Element. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

