# EdFi.OdsApi.Sdk.Models.All.TpdmEvaluationElementRating

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**EvaluationElementReference** | [**TpdmEvaluationElementReference**](TpdmEvaluationElementReference.md) |  | 
**EvaluationObjectiveRatingReference** | [**TpdmEvaluationObjectiveRatingReference**](TpdmEvaluationObjectiveRatingReference.md) |  | 
**AreaOfRefinement** | **string** | Area identified for person to refine or improve as part of the evaluation. | [optional] 
**AreaOfReinforcement** | **string** | Area identified for reinforcement or positive feedback as part of the evaluation. | [optional] 
**Comments** | **string** | Any comments about the performance evaluation to be captured. | [optional] 
**EvaluationElementRatingLevelDescriptor** | **string** | The rating level achieved based upon the rating or score. | [optional] 
**Feedback** | **string** | Feedback provided to the evaluated person. | [optional] 
**Results** | [**List&lt;TpdmEvaluationElementRatingResult&gt;**](TpdmEvaluationElementRatingResult.md) | An unordered collection of evaluationElementRatingResults. The numerical summary rating or score for the evaluation element. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

