# EdFi.OdsApi.Sdk.Models.All.TpdmEvaluationObjective

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**EvaluationObjectiveTitle** | **string** | The name or title of the evaluation Objective. | 
**EvaluationReference** | [**TpdmEvaluationReference**](TpdmEvaluationReference.md) |  | 
**EvaluationObjectiveDescription** | **string** | The long description of the Evaluation Objective. | [optional] 
**EvaluationTypeDescriptor** | **string** | The type of the evaluation Objective (e.g., observation, principal, peer, student survey, student growth). | [optional] 
**MaxRating** | **double?** | The maximum summary numerical rating or score for the evaluation Objective. | [optional] 
**MinRating** | **double?** | The minimum summary numerical rating or score for the evaluation Objective. If omitted, assumed to be 0.0. | [optional] 
**RatingLevels** | [**List&lt;TpdmEvaluationObjectiveRatingLevel&gt;**](TpdmEvaluationObjectiveRatingLevel.md) | An unordered collection of evaluationObjectiveRatingLevels. The descriptive level(s) of ratings (cut scores) for evaluation Objective. | [optional] 
**SortOrder** | **int?** | The sort order of this Evaluation Objective. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

