# EdFi.OdsApi.Sdk.Models.All.TpdmFinancialAid

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**AidTypeDescriptor** | **string** | The classification of financial aid awarded to a person for the academic term/year. | 
**BeginDate** | **DateTime** | The date the award was designated. | 
**StudentReference** | [**EdFiStudentReference**](EdFiStudentReference.md) |  | 
**AidAmount** | **double?** | The amount of financial aid awarded to a person for the term/year. | [optional] 
**AidConditionDescription** | **string** | The description of the condition (e.g., placement in a high need school) under which the aid was given. | [optional] 
**EndDate** | **DateTime?** | The date the award was removed. | [optional] 
**PellGrantRecipient** | **bool?** | Indicates a person who receives Pell Grant aid. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

