# EdFi.OdsApi.Sdk.Models.All.TpdmPerformanceEvaluationRating

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**PerformanceEvaluationReference** | [**TpdmPerformanceEvaluationReference**](TpdmPerformanceEvaluationReference.md) |  | 
**PersonReference** | [**EdFiPersonReference**](EdFiPersonReference.md) |  | 
**ActualDate** | **DateTime** | The month, day, and year on which the performance evaluation was conducted. | 
**ActualDuration** | **int?** | The actual or estimated number of clock minutes during which the performance evaluation was conducted. | [optional] 
**ActualTime** | **string** | An indication of the the time at which the performance evaluation was conducted. | [optional] 
**Announced** | **bool?** | An indicator of whether the performance evaluation was announced or not. | [optional] 
**Comments** | **string** | Any comments about the performance evaluation to be captured. | [optional] 
**CoteachingStyleObservedDescriptor** | **string** | A type of co-teaching observed as part of the performance evaluation. | [optional] 
**PerformanceEvaluationRatingLevelDescriptor** | **string** | The rating level achieved based upon the rating or score. | [optional] 
**Results** | [**List&lt;TpdmPerformanceEvaluationRatingResult&gt;**](TpdmPerformanceEvaluationRatingResult.md) | An unordered collection of performanceEvaluationRatingResults. The numerical summary rating or score for the performance evaluation. | [optional] 
**Reviewers** | [**List&lt;TpdmPerformanceEvaluationRatingReviewer&gt;**](TpdmPerformanceEvaluationRatingReviewer.md) | An unordered collection of performanceEvaluationRatingReviewers. The person(s) that conducted the performance evaluation. | [optional] 
**ScheduleDate** | **DateTime?** | The month, day, and year on which the performance evaluation was scheduled. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

