# EdFi.OdsApi.Sdk.Models.All.TrackedChangesEdFiGradeKey

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**GradeTypeDescriptor** | **string** | The type of grade reported (e.g., exam, final, grading period). | [optional] 
**GradingPeriodDescriptor** | **string** | The name of the period for which grades are reported. | [optional] 
**GradingPeriodSequence** | **int** | The sequential order of this period relative to other periods. | [optional] 
**SchoolId** | **int** | The identifier assigned to a school. | [optional] 
**GradingPeriodSchoolYear** | **int** | The identifier for the grading period school year. | [optional] 
**BeginDate** | **DateTime** | Month, day, and year of the student&#39;s entry or assignment to the section. | [optional] 
**LocalCourseCode** | **string** | The local code assigned by the School that identifies the course offering provided for the instruction of students. | [optional] 
**SchoolYear** | **int** | The identifier for the school year. | [optional] 
**SectionIdentifier** | **string** | The local identifier assigned to a section. | [optional] 
**SessionName** | **string** | The identifier for the calendar for the academic session. | [optional] 
**StudentUniqueId** | **string** | A unique alphanumeric code assigned to a student. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

