# EdFi.OdsApi.Sdk.Models.All.EdFiAssessmentScoreRangeLearningStandard

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**LearningStandards** | [**List&lt;EdFiAssessmentScoreRangeLearningStandardLearningStandard&gt;**](EdFiAssessmentScoreRangeLearningStandardLearningStandard.md) | An unordered collection of assessmentScoreRangeLearningStandardLearningStandards. Learning standard associated with the score range. | 
**ScoreRangeId** | **string** | A unique number or alphanumeric code assigned to the score range associated with one or more learning standards. | 
**AssessmentReference** | [**EdFiAssessmentReference**](EdFiAssessmentReference.md) |  | 
**ObjectiveAssessmentReference** | [**EdFiObjectiveAssessmentReference**](EdFiObjectiveAssessmentReference.md) |  | [optional] 
**AssessmentReportingMethodDescriptor** | **string** | The assessment reporting method defined (e.g., scale score, RIT scale score) associated with the referenced learning standard(s). | [optional] 
**MaximumScore** | **string** | The maximum score in the score range. | 
**MinimumScore** | **string** | The minimum score in the score range. | 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

