# EdFi.OdsApi.Sdk.Models.All.EdFiCompetencyObjective

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**Objective** | **string** | The designated title of the competency objective. | 
**ObjectiveGradeLevelDescriptor** | **string** | The grade level for which the competency objective is targeted. | 
**EducationOrganizationReference** | [**EdFiEducationOrganizationReference**](EdFiEducationOrganizationReference.md) |  | 
**CompetencyObjectiveId** | **string** | The Identifier for the competency objective. | [optional] 
**Description** | **string** | The description of the student competency objective. | [optional] 
**SuccessCriteria** | **string** | One or more statements that describes the criteria used by teachers and students to check for attainment of a competency objective. This criteria gives clear indications as to the degree to which learning is moving through the Zone or Proximal Development toward independent achievement of the competency objective. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

