# EdFi.OdsApi.Sdk.Models.All.EdFiLearningStandardEquivalenceAssociation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**Namespace** | **string** | The namespace of the organization that has created and owns the association. | 
**SourceLearningStandardReference** | [**EdFiLearningStandardReference**](EdFiLearningStandardReference.md) |  | 
**TargetLearningStandardReference** | [**EdFiLearningStandardReference**](EdFiLearningStandardReference.md) |  | 
**EffectiveDate** | **DateTime?** | The date that the association is considered to be applicable or effective. | [optional] 
**LearningStandardEquivalenceStrengthDescription** | **string** | Captures supplemental information on the relationship. Recommended for use only when the match is partial. | [optional] 
**LearningStandardEquivalenceStrengthDescriptor** | **string** | A measure that indicates the strength or quality of the equivalence relationship. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

