# EdFi.OdsApi.Sdk.Models.All.EdFiLocalAccount

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**AccountIdentifier** | **string** | Code value for the valid combination of account dimensions by LEA under which financials are reported. | 
**FiscalYear** | **int** | The fiscal year for the account. | 
**ChartOfAccountReference** | [**EdFiChartOfAccountReference**](EdFiChartOfAccountReference.md) |  | 
**EducationOrganizationReference** | [**EdFiEducationOrganizationReference**](EdFiEducationOrganizationReference.md) |  | 
**AccountName** | **string** | A descriptive name for the account. | [optional] 
**ReportingTags** | [**List&lt;EdFiLocalAccountReportingTag&gt;**](EdFiLocalAccountReportingTag.md) | An unordered collection of localAccountReportingTags. Optional tag for accountability reporting. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

