# EdFi.OdsApi.Sdk.Models.All.EdFiOperationalUnitDimension

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**Code** | **string** | The code representation of the account operational unit dimension. | 
**FiscalYear** | **int** | The fiscal year for which the account operational unit dimension is valid. | 
**CodeName** | **string** | A description of the account operational unit dimension. | [optional] 
**ReportingTags** | [**List&lt;EdFiOperationalUnitDimensionReportingTag&gt;**](EdFiOperationalUnitDimensionReportingTag.md) | An unordered collection of operationalUnitDimensionReportingTags. Optional tag for accountability reporting. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

