# EdFi.OdsApi.Sdk.Models.All.EdFiStaffEducationOrganizationAssignmentAssociation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**BeginDate** | **DateTime** | Month, day, and year of the start or effective date of a staff member&#39;s employment, contract, or relationship with the education organization. | 
**StaffClassificationDescriptor** | **string** | The titles of employment, official status, or rank of education staff. | 
**CredentialReference** | [**EdFiCredentialReference**](EdFiCredentialReference.md) |  | [optional] 
**EducationOrganizationReference** | [**EdFiEducationOrganizationReference**](EdFiEducationOrganizationReference.md) |  | 
**EmploymentStaffEducationOrganizationEmploymentAssociationReference** | [**EdFiStaffEducationOrganizationEmploymentAssociationReference**](EdFiStaffEducationOrganizationEmploymentAssociationReference.md) |  | [optional] 
**StaffReference** | [**EdFiStaffReference**](EdFiStaffReference.md) |  | 
**EndDate** | **DateTime?** | Month, day, and year of the end or termination date of a staff member&#39;s employment, contract, or relationship with the education organization. | [optional] 
**FullTimeEquivalency** | **double?** | The ratio between the hours of work expected in a position and the hours of work normally expected in a full-time position in the same setting. | [optional] 
**OrderOfAssignment** | **int?** | Describes whether the assignment is this the staff member&#39;s primary assignment, secondary assignment, etc. | [optional] 
**PositionTitle** | **string** | The descriptive name of an individual&#39;s position. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 
**Ext** | [**StaffEducationOrganizationAssignmentAssociationExtensions**](StaffEducationOrganizationAssignmentAssociationExtensions.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

