# EdFi.OdsApi.Sdk.Models.All.EdFiStaffRecognition

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**RecognitionTypeDescriptor** | **string** | The nature of recognition given to the individual for accomplishments in a co-curricular, or extra-curricular activity. | 
**AchievementCategoryDescriptor** | **string** | The category of achievement attributed to the individual. | [optional] 
**AchievementCategorySystem** | **string** | The system that defines the categories by which an achievement is attributed to the individual. | [optional] 
**AchievementTitle** | **string** | The title assigned to the achievement. | [optional] 
**Criteria** | **string** | The criteria for competency-based completion of the achievement/award. | [optional] 
**CriteriaURL** | **string** | The Uniform Resource Locator (URL) for the unique address of a web page describing the competency-based completion criteria for the achievement/award. | [optional] 
**EvidenceStatement** | **string** | A statement or reference describing the evidence that the individual met the criteria for attainment of the achievement/award. | [optional] 
**ImageURL** | **string** | The Uniform Resource Locator (URL) for the unique address of an image representing an award or badge associated with the achievement/award. | [optional] 
**IssuerName** | **string** | The name of the agent, entity, or institution issuing the element. | [optional] 
**IssuerOriginURL** | **string** | The Uniform Resource Locator (URL) from which the award was issued. | [optional] 
**RecognitionAwardDate** | **DateTime?** | The date the recognition was awarded or earned. | [optional] 
**RecognitionAwardExpiresDate** | **DateTime?** | Date on which the recognition expires. | [optional] 
**RecognitionDescription** | **string** | A description of the type of recognition earned by or awarded to the individual. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

