# EdFi.OdsApi.Sdk.Models.Composites.EnrollmentComposite.LocalEducationAgency

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**LocalEducationAgencyId** | **int** | The identifier assigned to a local education agency. | 
**Addresses** | [**List&lt;LocalEducationAgencyEducationOrganizationAddress&gt;**](LocalEducationAgencyEducationOrganizationAddress.md) | An unordered collection of educationOrganizationAddresses.  | [optional] 
**CharterStatusDescriptor** | **string** | A school or agency providing free public elementary or secondary education to eligible students under a specific charter granted by the state legislature or other appropriate authority and designated by such authority to be a charter school. | [optional] 
**IdentificationCodes** | [**List&lt;LocalEducationAgencyEducationOrganizationIdentificationCode&gt;**](LocalEducationAgencyEducationOrganizationIdentificationCode.md) | An unordered collection of educationOrganizationIdentificationCodes.  | [optional] 
**InstitutionTelephones** | [**List&lt;LocalEducationAgencyEducationOrganizationInstitutionTelephone&gt;**](LocalEducationAgencyEducationOrganizationInstitutionTelephone.md) | An unordered collection of educationOrganizationInstitutionTelephones.  | [optional] 
**LocalEducationAgencyCategoryDescriptor** | **string** | The category of local education agency/district. | 
**NameOfInstitution** | **string** | The full, legally accepted name of the institution. | 
**ShortNameOfInstitution** | **string** | A short name for the institution. | [optional] 
**StateEducationAgencyId** | **int?** | The identifier assigned to a state education agency. | [optional] 
**WebSite** | **string** | The public web site address (URL) for the education organization. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

