# EdFi.OdsApi.Sdk.Models.All.MiEemEducationalEntityMaster

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**EemEducationalEntityMasterId** | **int** | Educational Entity Master identifier from EEM system. | 
**EemCountyReference** | [**MiEemCountyReference**](MiEemCountyReference.md) |  | [optional] 
**EemEntityTypeClassificationReference** | [**MiEemEntityTypeClassificationReference**](MiEemEntityTypeClassificationReference.md) |  | [optional] 
**GeographicEEMCountyReference** | [**MiEemCountyReference**](MiEemCountyReference.md) |  | [optional] 
**PreviousDistrictEEMEducationalEntityMasterReference** | [**MiEemEducationalEntityMasterReference**](MiEemEducationalEntityMasterReference.md) |  | [optional] 
**CloseDate** | **DateTime?** | This characteristic is the actual closing date of the entity or the date the entity ceased to do business. *** needs to be datetime *** | [optional] 
**EarlyMiddleCollegeFlag** | **bool?** | Indicates the education organization provides both a high school education as well as up to 60 college credits. | [optional] 
**EemAlternativeEducationServices** | [**List&lt;MiEemEducationalEntityMasterEEMAlternativeEducationService&gt;**](MiEemEducationalEntityMasterEEMAlternativeEducationService.md) | An unordered collection of eemEducationalEntityMasterEEMAlternativeEducationServices. Indicates the alternative education services provided. | [optional] 
**EemCloseReasonDescriptor** | **string** | Indicates the reason why an Educational Entity was closed. | [optional] 
**EemEntityContracts** | [**List&lt;MiEemEducationalEntityMasterEEMEntityContract&gt;**](MiEemEducationalEntityMasterEEMEntityContract.md) | An unordered collection of eemEducationalEntityMasterEEMEntityContracts. EEM Entity Contract details. | [optional] 
**EemEntityEducationalSettings** | [**List&lt;MiEemEducationalEntityMasterEEMEntityEducationalSetting&gt;**](MiEemEducationalEntityMasterEEMEntityEducationalSetting.md) | An unordered collection of eemEducationalEntityMasterEEMEntityEducationalSettings. Identifies the educational setting(s) for which this entity is authorized to provide instruction and actually provides instruction. | [optional] 
**EemEntityGrades** | [**List&lt;MiEemEducationalEntityMasterEEMEntityGrade&gt;**](MiEemEducationalEntityMasterEEMEntityGrade.md) | An unordered collection of eemEducationalEntityMasterEEMEntityGrades. Identifies the grade level(s) for which this entity is authorized to provide instruction and for which it actually provides instruction. | [optional] 
**EemEntityOfficialName** | **string** | The EEM official name of the Educational Entity | [optional] 
**EemEntitySchedules** | [**List&lt;MiEemEducationalEntityMasterEEMEntitySchedule&gt;**](MiEemEducationalEntityMasterEEMEntitySchedule.md) | An unordered collection of eemEducationalEntityMasterEEMEntitySchedules. Indicates the schedule types of the EEM Educational Entity. | [optional] 
**EemFiscalEntityTypeDescriptor** | **string** | FiscalEntityCode as indicated in EEM. | [optional] 
**EemIdentificationCodes** | [**List&lt;MiEemEducationalEntityMasterEEMIdentificationCode&gt;**](MiEemEducationalEntityMasterEEMIdentificationCode.md) | An unordered collection of eemEducationalEntityMasterEEMIdentificationCodes. The unique number or alphanumeric code assigned to an Educational Entity by another entity (e.g., School, State, Agency). | [optional] 
**EemInstitutionAddresses** | [**List&lt;MiEemEducationalEntityMasterEEMInstitutionAddress&gt;**](MiEemEducationalEntityMasterEEMInstitutionAddress.md) | An unordered collection of eemEducationalEntityMasterEEMInstitutionAddresses. The set of elements that describe the EEM institutional address of the Educational Entity. | [optional] 
**EemInstitutionElectronicMails** | [**List&lt;MiEemEducationalEntityMasterEEMInstitutionElectronicMail&gt;**](MiEemEducationalEntityMasterEEMInstitutionElectronicMail.md) | An unordered collection of eemEducationalEntityMasterEEMInstitutionElectronicMails. The electronic mail of the Educational Entity. | [optional] 
**EemInstitutionTelephones** | [**List&lt;MiEemEducationalEntityMasterEEMInstitutionTelephone&gt;**](MiEemEducationalEntityMasterEEMInstitutionTelephone.md) | An unordered collection of eemEducationalEntityMasterEEMInstitutionTelephones. The telephone of the Educational Entity. | [optional] 
**EemStatusDescriptor** | **string** | Denotes the EEM open / close status of the entity. | [optional] 
**OpenDate** | **DateTime?** | This characteristic denotes the actual opening date of the entity or when it begins to do business. *** needs to be datetime *** | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

