# EdFi.OdsApi.Sdk.Models.All.MiEemEducationalEntityMasterDetail

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**EemEducationalEntityMasterReference** | [**MiEemEducationalEntityMasterReference**](MiEemEducationalEntityMasterReference.md) |  | 
**EemactTestCenter** | **string** | Denotes the ACT Test Center of the Educational Entity. | [optional] 
**EemAgreementNumber** | **string** | The 9-digit agreement number assigned by the EEM system. Formerly referred to as the recipient code. Used by the Budget and Grants Office of the Michigan Department of Education. | [optional] 
**EemAncillaryFunctionDescriptor** | **string** | Indicates the non-instructional functions designated by the EEM authorized user for this entity. | [optional] 
**Eemayp** | [**MiEemEducationalEntityMasterDetailEEMAYP**](MiEemEducationalEntityMasterDetailEEMAYP.md) |  | [optional] 
**EemCharacteristicGroups** | [**List&lt;MiEemEducationalEntityMasterDetailEEMCharacteristicGroup&gt;**](MiEemEducationalEntityMasterDetailEEMCharacteristicGroup.md) | An unordered collection of eemEducationalEntityMasterDetailEEMCharacteristicGroups. Additional characteristics of the EEM Educational Entity. | [optional] 
**EemCharteringAgencyCode** | **string** | Provided by MDE. The ten position code number of the agency that charters a Public School Academy. | [optional] 
**EemCharteringAgencyEntityId** | **int?** | The EEM identifier of the agency that charters a Public School Academy. | [optional] 
**EemEarlyMiddleCollegeTypeDescriptor** | **string** | Indicates the Early Middle College type for which this Educational Entity has to allow a pupil to earn a high school diploma and an associate degree or up to two years of transferable college credits. | [optional] 
**EemLocaleDescriptor** | **string** | Indicates the measure of an EEM School location relative to populous areas. | [optional] 
**EemMagnetDescriptor** | **string** | Denotes whether or not an Educational Entity is a magnet school. | [optional] 
**EemOwnershipDescriptor** | **string** | Describes the type of Ownership of an Educational Entity. | [optional] 
**EemReceivesTransportationServicesFrom** | **int?** | Denotes from where Educational Entity receives transportation services. | [optional] 
**EemReligiousOrientationDescriptor** | **string** | Reflects the list of organized groups of religious congregations. | [optional] 
**EemremcId** | **string** | EEM Regional Educational Media Center identifier. | [optional] 
**EemsatTestCenter** | **string** | Denotes the SAT Test Center for the Educational Entity. | [optional] 
**EemseeSubTypeDescriptor** | **string** | Indicates the sub type of the EEM Shared Educational Entity (SEE) participation type. | [optional] 
**EemseeTypeDescriptor** | **string** | Indicates the EEM Shared Educational Entity (SEE) participation type. | [optional] 
**EemTitleI** | [**MiEemEducationalEntityMasterDetailEEMTitleI**](MiEemEducationalEntityMasterDetailEEMTitleI.md) |  | [optional] 
**EemTitleIStatuses** | [**List&lt;MiEemEducationalEntityMasterDetailEEMTitleIStatus&gt;**](MiEemEducationalEntityMasterDetailEEMTitleIStatus.md) | An unordered collection of eemEducationalEntityMasterDetailEEMTitleIStatuses. Denotes the Title I Status attributes of the Educational Entity. | [optional] 
**EffectiveDate** | **DateTime?** | NEED DESCRIPTION. | [optional] 
**ExpirationDate** | **DateTime?** | NEED DESCRIPTION. | [optional] 
**IsHeadCount** | **bool?** | 1 &#x3D; Is headcount; 0 or NULL &#x3D; is not headcount; | [optional] 
**IsSchoolOfChoiceOffered** | **bool?** | 1 &#x3D; School of Choice is Offered; 0 or NULL &#x3D; School of Choice is not Offered; | [optional] 
**IsSharedEntity** | **bool?** | 1 &#x3D; is shared entity; 0 or NULL &#x3D; is not shared entity; | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

