# EdFi.OdsApi.Sdk.Models.All.MiExpenditure

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**FiscalYear** | **int** | Denotes the fiscal year for which the expenditure is submitted. | 
**FunctionCodeDescriptor** | **string** | To indicate the basic account identifier for expenditures. It describes the activity for which a service or material is acquired. | 
**GrantCodeDescriptor** | **string** | To indicate various grant programs/funding source. | 
**ObjectCodeDescriptor** | **string** | To indicate the service or commodity obtained as the result of a specific expenditure. | 
**EducationOrganizationReference** | [**EdFiEducationOrganizationReference**](EdFiEducationOrganizationReference.md) |  | 
**SchoolReference** | [**EdFiSchoolReference**](EdFiSchoolReference.md) |  | 
**Amount** | **double** | Amount for the expenditure submitted. | 
**ExpenditureOtherOptional** | **string** | A dimension available to further define a school district&#39;s activities. | [optional] 
**FundCodes** | [**List&lt;MiExpenditureFundCode&gt;**](MiExpenditureFundCode.md) | An unordered collection of expenditureFundCodes. The independent fisal and accounting entity for expenditure transaction. | [optional] 
**ProgramCodeDescriptor** | **string** | To indicate a plan of activities and procedures designed to accomplish predetermined objective or set of allied objectives. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

