# EdFi.OdsApi.Sdk.Models.All.MiStudentEducationOrganizationAssociationExtension

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**StatusDescriptor** | **string** | (MI EXT) Indicates status (OneRoster users.status) of the Student. | [optional] 
**RaceAsOfDate** | **DateTime?** | (MI EXT) The date of the most recent change in Race. | [optional] 
**SchoolFoodServicesEligibilityAsOfDate** | **DateTime?** | (MI EXT) The date of the most recent change in SchoolFoodServicesEligibility. | [optional] 
**UserName** | **string** | (MI EXT) Indicates the Student username (OneRoster users.username) | [optional] 
**YearOfEntry** | **int?** | (MI EXT) The four-digit calendar year in which the student first attended school in the United States. | [optional] 
**MsdsRaceOrders** | [**List&lt;MiStudentEducationOrganizationAssociationMSDSRaceOrder&gt;**](MiStudentEducationOrganizationAssociationMSDSRaceOrder.md) | An unordered collection of studentEducationOrganizationAssociationMSDSRaceOrders. (MI EXT) Captures the racial group and order choice for MSDS. | [optional] 
**ProgramEligibilityParticipations** | [**List&lt;MiStudentEducationOrganizationAssociationProgramEligibilityParticipation&gt;**](MiStudentEducationOrganizationAssociationProgramEligibilityParticipation.md) | An unordered collection of studentEducationOrganizationAssociationProgramEligibilityParticipations. (MI EXT) Related to the student&#39;s eligibility and/or participation in specialized programs or services. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

