# EdFi.OdsApi.Sdk.Models.Composites.TestComposite.School

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**EducationOrganizationCategories** | [**List&lt;SchoolEducationOrganizationCategory&gt;**](SchoolEducationOrganizationCategory.md) | An unordered collection of educationOrganizationCategories.  | 
**GradeLevels** | [**List&lt;SchoolSchoolGradeLevel&gt;**](SchoolSchoolGradeLevel.md) | An unordered collection of schoolGradeLevels.  | 
**SchoolId** | **int** | The identifier assigned to a school. | 
**Addresses** | [**List&lt;SchoolEducationOrganizationAddress&gt;**](SchoolEducationOrganizationAddress.md) | An unordered collection of educationOrganizationAddresses.  | [optional] 
**AdministrativeFundingControlDescriptor** | **string** | The type of education institution as classified by its funding source, for example public or private. | [optional] 
**CharterStatusDescriptor** | **string** | A school or agency providing free public elementary or secondary education to eligible students under a specific charter granted by the state legislature or other appropriate authority and designated by such authority to be a charter school. | [optional] 
**IdentificationCodes** | [**List&lt;SchoolEducationOrganizationIdentificationCode&gt;**](SchoolEducationOrganizationIdentificationCode.md) | An unordered collection of educationOrganizationIdentificationCodes.  | [optional] 
**InstitutionTelephones** | [**List&lt;SchoolEducationOrganizationInstitutionTelephone&gt;**](SchoolEducationOrganizationInstitutionTelephone.md) | An unordered collection of educationOrganizationInstitutionTelephones.  | [optional] 
**InternationalAddresses** | [**List&lt;SchoolEducationOrganizationInternationalAddress&gt;**](SchoolEducationOrganizationInternationalAddress.md) | An unordered collection of educationOrganizationInternationalAddresses.  | [optional] 
**LocalEducationAgencyReference** | [**SchoolLocalEducationAgency**](SchoolLocalEducationAgency.md) |  | [optional] 
**NameOfInstitution** | **string** | The full, legally accepted name of the institution. | 
**OperationalStatusDescriptor** | **string** | The current operational status of the education organization (e.g., active, inactive). | [optional] 
**SchoolCategories** | [**List&lt;SchoolSchoolCategory&gt;**](SchoolSchoolCategory.md) | An unordered collection of schoolCategories.  | [optional] 
**ShortNameOfInstitution** | **string** | A short name for the institution. | [optional] 
**TitleIPartASchoolDesignationDescriptor** | **string** | Denotes the Title I Part A designation for the school. | [optional] 
**Type** | **string** | The type of education institution as classified by its primary focus. | [optional] 
**WebSite** | **string** | The public web site address (URL) for the education organization. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

