# EdFi.OdsApi.Sdk.Models.Composites.TestComposite.SectionEnrollmentStaffSectionAssociation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**StaffSectionAssociationId** | **string** |  | 
**Id** | **string** |  | 
**StaffUniqueId** | **string** | A unique alphanumeric code assigned to a staff. | 
**PersonalTitlePrefix** | **string** | A prefix used to denote the title, degree, position, or seniority of the individual. | [optional] 
**FirstName** | **string** | A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change. | 
**LastSurname** | **string** | The name borne in common by members of a family. | 
**SexDescriptor** | **string** | A person&#39;s gender. | [optional] 
**BirthDate** | **DateTime?** | The month, day, and year on which an individual was born. | [optional] 
**HispanicLatinoEthnicity** | **bool?** | An indication that the individual traces his or her origin or descent to Mexico, Puerto Rico, Cuba, Central, and South America, and other Spanish cultures, regardless of race. The term, \&quot;Spanish origin,\&quot; can be used in addition to \&quot;Hispanic or Latino.\&quot; | [optional] 
**Addresses** | [**List&lt;SectionEnrollmentStaffSectionAssociationStaffAddress&gt;**](SectionEnrollmentStaffSectionAssociationStaffAddress.md) | An unordered collection of staffAddresses.  | [optional] 
**ElectronicMails** | [**List&lt;SectionEnrollmentStaffSectionAssociationStaffElectronicMail&gt;**](SectionEnrollmentStaffSectionAssociationStaffElectronicMail.md) | An unordered collection of staffElectronicMails.  | [optional] 
**IdentificationCodes** | [**List&lt;SectionEnrollmentStaffSectionAssociationStaffIdentificationCode&gt;**](SectionEnrollmentStaffSectionAssociationStaffIdentificationCode.md) | An unordered collection of staffIdentificationCodes.  | [optional] 
**Languages** | [**List&lt;SectionEnrollmentStaffSectionAssociationStaffLanguage&gt;**](SectionEnrollmentStaffSectionAssociationStaffLanguage.md) | An unordered collection of staffLanguages.  | [optional] 
**Races** | [**List&lt;SectionEnrollmentStaffSectionAssociationStaffRace&gt;**](SectionEnrollmentStaffSectionAssociationStaffRace.md) | An unordered collection of staffRaces.  | [optional] 
**Telephones** | [**List&lt;SectionEnrollmentStaffSectionAssociationStaffTelephone&gt;**](SectionEnrollmentStaffSectionAssociationStaffTelephone.md) | An unordered collection of staffTelephones.  | [optional] 
**Classifications** | [**List&lt;SectionEnrollmentStaffSectionAssociationStaffEducationOrganizationAssignmentAssociation&gt;**](SectionEnrollmentStaffSectionAssociationStaffEducationOrganizationAssignmentAssociation.md) | An unordered collection of staffEducationOrganizationAssignmentAssociations.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

