# EdFi.OdsApi.Sdk.Models.Composites.EnrollmentComposite.StudentStudentEducationOrganizationAssociation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**LoginId** | **string** | The login ID for the user; used for security access control interface. | [optional] 
**SexDescriptor** | **string** | The student&#39;s gender as last reported to the education organization. | 
**HispanicLatinoEthnicity** | **bool?** | An indication that the individual traces his or her origin or descent to Mexico, Puerto Rico, Cuba, Central, and South America, and other Spanish cultures, regardless of race, as last reported to the education organization. The term, \&quot;Spanish origin,\&quot; can be used in addition to \&quot;Hispanic or Latino.\&quot; | [optional] 
**EducationOrganizationType** | **string** |  | [optional] 
**EducationOrganizationId** | **int** | The identifier assigned to an education organization. | 
**Languages** | [**List&lt;StudentStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationLanguage&gt;**](StudentStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationLanguage.md) | An unordered collection of studentEducationOrganizationAssociationLanguages.  | [optional] 
**Races** | [**List&lt;StudentStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationRace&gt;**](StudentStudentEducationOrganizationAssociationStudentEducationOrganizationAssociationRace.md) | An unordered collection of studentEducationOrganizationAssociationRaces.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

