# EdFi.OdsApi.Sdk.Models.All.TpdmCandidateDisability

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**DisabilityDescriptor** | **string** | A disability category that describes a individual&#39;s impairment. | 
**DisabilityDeterminationSourceTypeDescriptor** | **string** | The source that provided the disability determination. | [optional] 
**DisabilityDiagnosis** | **string** | A description of the disability diagnosis. | [optional] 
**OrderOfDisability** | **int?** | The order by severity of individual&#39;s disabilities: 1- Primary, 2 -  Secondary, 3 - Tertiary, etc. | [optional] 
**Designations** | [**List&lt;TpdmCandidateDisabilityDesignation&gt;**](TpdmCandidateDisabilityDesignation.md) | An unordered collection of candidateDisabilityDesignations. Whether the disability is IDEA, Section 504, or other disability designation. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

