# EdFi.OdsApi.Sdk.Models.All.TpdmEvaluation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**EvaluationTitle** | **string** | The name or title of the evaluation. | 
**PerformanceEvaluationReference** | [**TpdmPerformanceEvaluationReference**](TpdmPerformanceEvaluationReference.md) |  | 
**EvaluationDescription** | **string** | The long description of the Evaluation. | [optional] 
**EvaluationTypeDescriptor** | **string** | The type of the evaluation (e.g., observation, principal, peer, student survey, student growth). | [optional] 
**InterRaterReliabilityScore** | **int?** | A score indicating how much homogeneity, or consensus, there is in the ratings given by judges. Most commonly a percentage scale (1-100) | [optional] 
**MaxRating** | **double?** | The maximum summary numerical rating or score for the evaluation. | [optional] 
**MinRating** | **double?** | The minimum summary numerical rating or score for the evaluation. If omitted, assumed to be 0.0. | [optional] 
**RatingLevels** | [**List&lt;TpdmEvaluationRatingLevel&gt;**](TpdmEvaluationRatingLevel.md) | An unordered collection of evaluationRatingLevels. The descriptive level(s) of ratings (cut scores) for the evaluation. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

