# EdFi.OdsApi.Sdk.Models.All.TpdmEvaluationRating

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**EvaluationDate** | **DateTime** | The date for the person&#39;s evaluation. | 
**EvaluationReference** | [**TpdmEvaluationReference**](TpdmEvaluationReference.md) |  | 
**PerformanceEvaluationRatingReference** | [**TpdmPerformanceEvaluationRatingReference**](TpdmPerformanceEvaluationRatingReference.md) |  | 
**SectionReference** | [**EdFiSectionReference**](EdFiSectionReference.md) |  | [optional] 
**EvaluationRatingLevelDescriptor** | **string** | The rating level achieved based upon the rating or score. | [optional] 
**EvaluationRatingStatusDescriptor** | **string** | The Status of the poerformance evaluation. | [optional] 
**Results** | [**List&lt;TpdmEvaluationRatingResult&gt;**](TpdmEvaluationRatingResult.md) | An unordered collection of evaluationRatingResults. The numerical summary rating or score for the evaluation. | [optional] 
**Reviewers** | [**List&lt;TpdmEvaluationRatingReviewer&gt;**](TpdmEvaluationRatingReviewer.md) | An unordered collection of evaluationRatingReviewers. The person(s) that conducted the performance evaluation. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

