# EdFi.OdsApi.Sdk.Models.All.TpdmPerformanceEvaluation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | [optional] 
**EvaluationPeriodDescriptor** | **string** | The period for the evaluation. | 
**PerformanceEvaluationTitle** | **string** | An assigned unique identifier for the performance evaluation. | 
**PerformanceEvaluationTypeDescriptor** | **string** | The type of performance evaluation conducted. | 
**TermDescriptor** | **string** | The term for the session during the school year. | 
**EducationOrganizationReference** | [**EdFiEducationOrganizationReference**](EdFiEducationOrganizationReference.md) |  | 
**SchoolYearTypeReference** | [**EdFiSchoolYearTypeReference**](EdFiSchoolYearTypeReference.md) |  | 
**AcademicSubjectDescriptor** | **string** | The description of the content or subject area of a performance evaluation. | [optional] 
**GradeLevels** | [**List&lt;TpdmPerformanceEvaluationGradeLevel&gt;**](TpdmPerformanceEvaluationGradeLevel.md) | An unordered collection of performanceEvaluationGradeLevels. The grade levels involved with the performance evaluation. | [optional] 
**PerformanceEvaluationDescription** | **string** | The long description of the Performance Evaluation. | [optional] 
**RatingLevels** | [**List&lt;TpdmPerformanceEvaluationRatingLevel&gt;**](TpdmPerformanceEvaluationRatingLevel.md) | An unordered collection of performanceEvaluationRatingLevels. The descriptive level(s) of ratings (cut scores) for the evaluation. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

